Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::AnimationPath::ControlPoint Class Reference

List of all members.

## Public Member Functions
| ControlPoint ()
| ControlPoint (const osg::Vec3d &position)
| ControlPoint (const osg::Vec3d &position, const osg::Quat &rotation)
| ControlPoint (const osg::Vec3d &position, const osg::Quat &rotation, const osg::Vec3d &scale)
void | setPosition (const osg::Vec3d &position)
const osg::Vec3d & | getPosition () const
void | setRotation (const osg::Quat &rotation)
const osg::Quat & | getRotation () const
void | setScale (const osg::Vec3d &scale)
const osg::Vec3d & | getScale () const
void | interpolate (float ratio, const ControlPoint &first, const ControlPoint &second)
void | interpolate (double ratio, const ControlPoint &first, const ControlPoint &second)
void | getMatrix (Matrixf &matrix) const
void | getMatrix (Matrixd &matrix) const
void | getInverse (Matrixf &matrix) const
void | getInverse (Matrixd &matrix) const
## Protected Attributes
osg::Vec3d | _position
osg::Quat | _rotation
osg::Vec3d | _scale

## Constructor & Destructor Documentation

osg::AnimationPath::ControlPoint::ControlPoint | ( |  | ) | `[inline]`

osg::AnimationPath::ControlPoint::ControlPoint | ( | const osg::Vec3d & | position | ) | `[inline]`

osg::AnimationPath::ControlPoint::ControlPoint | ( | const osg::Vec3d & | position,
|  | const osg::Quat & | rotation
| ) | `[inline]`

osg::AnimationPath::ControlPoint::ControlPoint | ( | const osg::Vec3d & | position,
|  | const osg::Quat & | rotation,
|  | const osg::Vec3d & | scale
| ) | `[inline]`

## Member Function Documentation

void osg::AnimationPath::ControlPoint::getInverse | ( | Matrixd & | matrix | ) | const`[inline]`

void osg::AnimationPath::ControlPoint::getInverse | ( | Matrixf & | matrix | ) | const`[inline]`

void osg::AnimationPath::ControlPoint::getMatrix | ( | Matrixd & | matrix | ) | const`[inline]`

void osg::AnimationPath::ControlPoint::getMatrix | ( | Matrixf & | matrix | ) | const`[inline]`

const osg::Vec3d& osg::AnimationPath::ControlPoint::getPosition | ( |  | ) | const`[inline]`

const osg::Quat& osg::AnimationPath::ControlPoint::getRotation | ( |  | ) | const`[inline]`

const osg::Vec3d& osg::AnimationPath::ControlPoint::getScale | ( |  | ) | const`[inline]`

void osg::AnimationPath::ControlPoint::interpolate | ( | double | ratio,
|  | const ControlPoint & | first,
|  | const ControlPoint & | second
| ) | `[inline]`

void osg::AnimationPath::ControlPoint::interpolate | ( | float | ratio,
|  | const ControlPoint & | first,
|  | const ControlPoint & | second
| ) | `[inline]`

void osg::AnimationPath::ControlPoint::setPosition | ( | const osg::Vec3d & | position | ) | `[inline]`

void osg::AnimationPath::ControlPoint::setRotation | ( | const osg::Quat & | rotation | ) | `[inline]`

void osg::AnimationPath::ControlPoint::setScale | ( | const osg::Vec3d & | scale | ) | `[inline]`

## Member Data Documentation

osg::Vec3d osg::AnimationPath::ControlPoint::_position`[protected]`

osg::Quat osg::AnimationPath::ControlPoint::_rotation`[protected]`

osg::Vec3d osg::AnimationPath::ControlPoint::_scale`[protected]`

The documentation for this class was generated from the following file:

- AnimationPath